Bug 249366 - dns/knot2-lib: delete port
Summary: dns/knot2-lib: delete port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 249365
Blocks: 249367
  Show dependency treegraph
 
Reported: 2020-09-16 10:44 UTC by Leo Vandewoestijne
Modified: 2020-10-04 11:12 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
delete knot2-lib (3.31 KB, patch)
2020-09-16 10:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-09-16 10:44:15 UTC
Created attachment 218001 [details]
delete knot2-lib

After dns/knot-resolver >= 5.1.3 the port dns/knot2-lib is obsolete.
Comment 1 Koichiro Iwao freebsd_committer 2020-09-24 12:37:36 UTC
Any pointer that knot2 is obsolete?
Comment 2 Kurt Jaeger freebsd_committer 2020-10-04 11:09:29 UTC
(In reply to Koichiro Iwao from comment #1)
dns/knot-resolver is the only dependency on dns/knot2-lib and
https://www.knot-resolver.cz/2020-09-08-knot-resolver-5.1.3.html
says:
support building against Knot DNS 3.0 (!1053)
Comment 3 Kurt Jaeger freebsd_committer 2020-10-04 11:11:56 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-10-04 11:12:35 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 11:11:42 UTC 2020
New revision: 551383
URL: https://svnweb.freebsd.org/changeset/ports/551383

Log:
  dns/knot2-lib: replaced by dns/knot3-lib

  See https://www.knot-resolver.cz/2020-09-08-knot-resolver-5.1.3.html

  PR:		249366
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)

Changes:
  head/MOVED
  head/dns/Makefile
  head/dns/knot2-lib/